Package ghidra.generic.util.datastruct

# Class TreeValueSortedMap.EntryListIterator

java.lang.Object
ghidra.generic.util.datastruct.TreeValueSortedMap.EntryListIterator

All Implemented Interfaces:
  `Iterator<Map.Entry<K,V>>`, `ListIterator<Map.Entry<K,V>>`

Enclosing class:
  `TreeValueSortedMap<K,V>`

protected class TreeValueSortedMap.EntryListIterator extends Object implements ListIterator<Map.Entry<K,V>>
An iterator of the entries

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Map.Entry<K,V> e)`
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `TreeValueSortedMap<K,V>.Node`
  `next()`
  `int`
  `nextIndex()`
  `TreeValueSortedMap<K,V>.Node`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `set(Map.Entry<K,V> e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Method Details

  - ### add

    public void add(Map.Entry<K,V> e)
    Specified by:
      `add` in interface `ListIterator<Map.Entry<K,V>>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<Map.Entry<K,V>>`
    Specified by:
      `hasNext` in interface `ListIterator<Map.Entry<K,V>>`

  - ### hasPrevious

    public boolean hasPrevious()
    Specified by:
      `hasPrevious` in interface `ListIterator<Map.Entry<K,V>>`

  - ### next

    public TreeValueSortedMap<K,V>.Node next()
    Specified by:
      `next` in interface `Iterator<Map.Entry<K,V>>`
    Specified by:
      `next` in interface `ListIterator<Map.Entry<K,V>>`

  - ### nextIndex

    public int nextIndex()
    Specified by:
      `nextIndex` in interface `ListIterator<Map.Entry<K,V>>`

  - ### previous

    public TreeValueSortedMap<K,V>.Node previous()
    Specified by:
      `previous` in interface `ListIterator<Map.Entry<K,V>>`

  - ### previousIndex

    public int previousIndex()
    Specified by:
      `previousIndex` in interface `ListIterator<Map.Entry<K,V>>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<Map.Entry<K,V>>`
    Specified by:
      `remove` in interface `ListIterator<Map.Entry<K,V>>`

  - ### set

    public void set(Map.Entry<K,V> e)
    Specified by:
      `set` in interface `ListIterator<Map.Entry<K,V>>`